#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> x1(n + 1, 0);
    vector<int> y1(n + 1, 0);
    vector<int> ponovljenox;
    vector<int> ponovljenoy;
    vector<int> ostalox;
    vector<int> ostaloy;

    for(int i = 0; i < n; i++){
        int a, b;
        cin >> a >> b;
        if(x1[a] == 0)
            x1[a]++;
        else
            ponovljenox.push_back(a);

        if(y1[b] == 0)
            y1[b]++;
        else
            ponovljenoy.push_back(b);
    }

    for(int i = 1; i <= n; i++){
        if(x1[i] == 0)
            ostalox.push_back(i);
        if(y1[i] == 0)
            ostaloy.push_back(i);
    }
    sort(ponovljenox.begin(), ponovljenox.end());
    sort(ponovljenoy.begin(), ponovljenoy.end());
    sort(ostalox.begin(), ostalox.end());
    sort(ostaloy.begin(), ostaloy.end());
    int rezultat = 0;
    for(int i = 0; i < ponovljenox.size(); i++){
        rezultat = rezultat + abs(ostalox[i] - ponovljenox[i]);
    }

    for(int i = 0; i < ponovljenoy.size(); i++){
        rezultat = rezultat + abs(ostaloy[i] - ponovljenoy[i]);
    }
    cout << rezultat;
    return 0;
}